Subject: bug#73982: GCC Dependency?

From: Eli Zaretskii <[email-masked]>
Date: Sun, 27 Oct 2024 07:56:40 +0200

> Cc: [email-masked]
> Date: Sat, 26 Oct 2024 23:23:09 +0300
> From:  Björn Bidar via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> 
> I'm not a Fedora user so I don't have an account in the Red Hat
> bugtracker to comment there.

You can easily register an account on their Bugzilla; I did.

> My comment on the Fedora packaging it is one thing to enable
> native-compilation, it is the other that it requires gcc.
> 
> I can take the openSUSE emacs-nox package as an example which has the
> feature enabled but doesn't pull in the whole GCC package, neither does
> it pull guile and co.
> 
> Maybe their packaging around GCCJit is the issue?

These questions should be asked there, not here.  We provide and
support all the possible combinations; which ones are realized in
downstream packages is the decision and the responsibility of the
respective distros.

This issue should have never been reported to us.